package com.easefun.polyvsdk.download.constant;

import android.support.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 下载视频状态
 * @author Lion 2017-8-9
 */
public class PolyvDownloaderVideoStatus {
    /** 视频正确 */
    public static final int VIDEO_CORRECT = 1;
    /** 视频未下载完整 */
    public static final int VIDEO_INCOMPLETE = 2;

    /** @hide */
    @IntDef({
            VIDEO_CORRECT,
            VIDEO_INCOMPLETE
    })
    @Retention(RetentionPolicy.SOURCE)
    public @interface DownloaderVideoStatus {}
}
