package com.easefun.polyvsdk.download.listener;

import android.content.Context;
import android.support.annotation.MainThread;

import com.easefun.polyvsdk.PolyvDownloader;

/**
 * 下载开始监听回调。
 * @author Lion 2017-8-1
 */
public interface IPolyvDownloaderStartListener {
    /**
     * 开始回调，{@link PolyvDownloader#start()}或者{@link PolyvDownloader#start(Context)}中开始了下载，就回调。
     * 如果调用了{@link PolyvDownloader#start()}或者{@link PolyvDownloader#start(Context)}方法，但是没有回调此方法，就表示在下载队列中，处于等待状态。
     */
    @MainThread
    void onStart();
}
