package com.easefun.polyvsdk.download.listener;

import android.support.annotation.MainThread;

import com.easefun.polyvsdk.PolyvDownloader;

/**
 * 下载停止监听回调。
 * @author Lion 2017-8-2
 */
public interface IPolyvDownloaderStopListener {
    /**
     * 停止回调，{@link PolyvDownloader#stop()}或者{@link PolyvDownloader#stop(boolean)}中停止了下载，就回调。
     */
    @MainThread
    void onStop();
}
